Bug 463862 - [LTC 6.0 FEAT] 201257:KVM high performance multinode support
[LTC 6.0 FEAT] 201257:KVM high performance multinode support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Eduardo Habkost
Virtualization Bugs
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 511888 512364 524565 554559 555199 555224
  Show dependency treegraph
 
Reported: 2008-09-24 19:20 EDT by IBM Bug Proxy
Modified: 2010-11-10 16:24 EST (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:24:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 19:20:25 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:53 EDT
1. Feature Overview:
Feature Id:	[201257]
a. Name of Feature:	Xen high performance multinode support
b. Feature Description
Further improvements to the Xen hypervisor to become consistent with the base level kernel, i.e.
#cpu (256), amount of mem (6TB),  scaling/perf/numa enhancements, automatic cpu pinning.   
Customers are looking for improvements to limitation that are currently existent in XEN.

Additional Comments:	256 CPU Support (128 physical / 256 with HT) / 6TB Memory Support

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	Xen Enhancements

3. Business Case
Our flagship multi-node product, x3950 M2, will support up to 96 cpus by the end of 2008.  We are
expecting this number to at least reach 256 logical threads in 2009/2010.  Wtih 16GB DIMMS coming
out, expect the max memory to be as high as 6TB.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 IBM Bug Proxy 2008-10-23 20:20:52 EDT
This should be a general requirement for the Virtualization environment for RHEL 6 (presumably KVM not Xen)  to support a platform/system capable of 256 cores/system threads and up to 6TB of memory, in a NUMA configuration.  If there's some split needed for those 2 components, or for any userland/ management/configuration/install pieces -- RH , please let us know.
Comment 3 Kevin Stansell 2009-11-18 16:34:31 EST
Yes, this should all be against KVM and libvirt, not Xen. :)
Comment 4 Dor Laor 2010-01-18 06:43:12 EST
Is it only physical constrains? Any virtual ones? For physical we should be fine.
Comment 8 John Jarvis 2010-08-27 11:23:30 EDT
IBM, please confirm this is fixed and if so, set the Verified field to "IBM"
Comment 9 Kevin Stansell 2010-09-10 10:19:13 EDT
We will follow the core RHEL6 limits here for KVM host support.  Closing.
Comment 10 releng-rhel@redhat.com 2010-11-10 16:24:03 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.